{% load i18n static %}
{% load wagtailcore_tags %}
<ul class="navbar-nav" aria-label="Menu de principal">
    
    {# First level menu #}
    {% for first_level_page in site.root_page.get_children.live.in_menu %}

        {# First level item rendering #}
        {% if first_level_page.get_children.live.in_menu.count > 0 %}

            {# First level is a dropdown menu #}
            <li class="nav-item dropdown">

                {# Dropdown menu button #}
                <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown"
                   aria-expanded="false" aria-label="Ouvrir/fermer le menu: {{ first_level_page.title }}">
                    {{ first_level_page.title }}
                </a>

                {# Dropdown menu submenu#}
                <ul class="dropdown-menu">
                    {% for second_level_page in first_level_page.get_children.live.in_menu %}

                        {# Submenu item #}
                        <li>
                            {% if second_level_page == current_page %}
                                <a class="dropdown-item active" aria-current="page" href="{% pageurl second_level_page %}"
                                   aria-label="Aller à la page: {{ second_level_page.title }}">
                                    {{ second_level_page.title }}
                                </a>
                            {% else %}
                                <a class="dropdown-item" href="{% pageurl second_level_page %}"
                                   aria-label="Aller à la page: {{ second_level_page.title }}">
                                    {{ second_level_page.title }}
                                </a>
                            {% endif %}
                            
                        </li>
                        
                    {% endfor %}
                </ul>
                
            </li>

        {% else %}

            {# First level is a standalone page #}
            <li class="nav-item">

                {% if first_level_page.id == current_page.id %}
                    <a class="nav-link active" aria-current="page" href="{% pageurl first_level_page %}"
                       aria-label="Aller à la page: {{ first_level_page.title }}">
                        {{ first_level_page.title }}
                    </a>
                {% else %}
                    <a class="nav-link" href="{% pageurl first_level_page %}"
                       aria-label="Aller à la page: {{ first_level_page.title }}">
                        {{ first_level_page.title }}
                    </a>
                {% endif %}
                
            </li>
            
        {% endif %}

    {% endfor %}
</ul>
